package com.rf.psychological.menu.dao.dto;

import com.rf.psychological.menu.dao.model.RoleMenuEntry;
import lombok.Getter;
import lombok.Setter;

/**
 * @Author:zzf
 * @Date:2022/7/11:17:37
 * @Description:
 */
@Setter
@Getter
public class RoleMenuEntryDTO extends RoleMenuEntry {
    private String roleName;

    private String menuName;

    public RoleMenuEntryDTO (RoleMenuEntry entry){
        this.setId(entry.getId());
        this.setRole(entry.getRole());
        this.setMenuNo(entry.getMenuNo());
    }
}
